Les nouveautés de WordPress 4.3

Check llist et logo WP
Lancement de la version 4.3 pour le 18 aout

Marie-Aude

J'ai fait de la compta, de la finance, du juridique, j'ai été chef de projet SAP, j'ai fait de la photo, des voyages. Depuis 2007, je fais avec amour des sites webs pour les utilisateurs, qui se référencent bien et je vous aide à acquérir du trafic pertinent.

Vous aimerez aussi...

15 réponses

  1. Li-An dit :

    La gestion des widgets est en effet problématique et je me rappelle avoir vu des pistes pour améliorer l'ergonomie de la chose mais ça a dû un peu passer à la trappe avec l'accent mis sur la personnalisation du thème – qui est un outil très agréable mais qui bouffe de l'énergie dans l'équipe WP.

    J'ai commencé à survoler la liste des plugins posant problème avec les nouvelles normes et je me suis arrêté à la lettre A. Je sens que ça va criser sur le forum.

    Tiens, je n'avais jamais parlé de Just Writing. Je le rajoute dans ma "liste" de plugins à chroniquer.

    Les nouveaux raccourcis d'édition sont tous compatibles Markdown et c'est le meilleur choix qu'ils pouvaient faire- merci pour le clin d'œil.

    • Xavier dit :

      Merci Marie-​Aude pour cette "avant-​première" ; C'est vrai que cette écriture sans distraction n'a pas marqué son éphémère passage ;)
      Curieux de voir le rendu de ces nouveaux raccourcis (mais ce n'est pas ce que j'attends le plus dans WP qui a un train d'avance sur le sujet)

  2. Li-An dit :

    Éh ben, tu as bien fait de zoomer sur mon billet http://www.echodesplugins.li-an.fr/plugins/markdown-et-wordpress/. Il y avait plein de bugs d'affichage et il était devenu grandement obsolète. Du coup, j'ai fait un peu de ménage.

  3. Nico dit :

    Merci pour ce joli travail de déchiffrage ! 

    Je conseille à ceux qui douteraient de leur configuration de désactiver les mises à jour automatiques pour se donner le temps de mettre à jour tranquillement leur site (wp-config.php) :

    define( 'WP_​AUTO_​UPDATE_​CORE', false );
    define( 'AUTOMATIC_​UPDATER_​DISABLED', true );

    • Marie-Aude dit :

      Euh non, mauvaise idée. Les mises à jour automatiques ne concernent que les mises à jour de sécurité, la 4.3 ne sera pas mise à jour automatiquement.

  4. guiliguili dit :

    Bonjour,

    Merci pour ces infos très utiles.
    Plus particulièrement, l'annonce de l'obsolescence de certains plugins.
    J'ai pu trouver mon plugin de login Sidebar login (et plein d'autres tels Login With Ajax, WP Sidebar Login, Bangla Sidebar Login qui doivent avoir du code en commun).

    Auriez-​vous des suggestions pour un plugin de login sous la forme d'un widget ?
    En lien, ma situation actuelle –> http://fr.tinypic.com/view.php?pic=2n897w9&s=8

    Bonne journée,
    guiliguili

    • Marie-Aude dit :

      Encore une fois, pour l'instant il n'y a rien d'autre à faire que contacter les créateurs des plugins via le forum de support pour leur demander de faire évoluer le code. Généralement, ils le font très vite. Le "code en commun" était le Codex d'il y a quelques années !

  5. guiliguili dit :

    Merci pour la réponse rapide :-)
    J'ai " informé " @mikejolley, le créateur du plugin via Twitter et sur le support du plugin.
    Espérons que ces activités à Automattic lui laissent le temps de régler ce souci.

    Bonne journée.
    guiliguili

  6. Flobogo dit :

    Hello Marie-​Aude,

    Ma question est sans doute naïve, mais faut-​il attendre pour passer en WP 4.3 que les plugins utilisés sur le site ne soient plus dans la liste des plugins qui ne sont pas compatibles avec le nouveau codage PHP ? (dans l'hypothèse ‑évidemment- où l'on tient à ces plugins-là ... :/ )

    • Marie-Aude dit :

      Hello

      non, il s'agit seulement d'un avertissement, pour l'instant WP assure la compatibilité. En masquant l'avertissement, tu peux continuer à les utiliser

      • Flobogo dit :

        Ce n'est pas l'avertissement qui m'inquiète, d'ailleurs, tu nous expliques comment le masquer. Mais tu dis : "il y a des modifications qui risquent de rendre des Widget inopérants, si les auteurs ne les ont pas mis à jour. "
        Donc, ce qui m'inquiète, c'est de planter mon site ... En particulier, sur un petit site familial où j'utilise Theme-​My-​Login, avec widget de connexion en page accueil –> je ne peux pas me passer de ce widget, même temporairement.
        D'où ma question : est-​il préférable d'attendre pour passer en WP 4.3 ? Ou bien faut-​il "tenter le passage", quitte à revenir en 4.2.4 si ça bloque ?

        • Li-An dit :

          Vaut mieux rester en 4.2.4 dans ce cas-​là et râler auprès du concepteur pour qu'il mette à jour.

          Remarque au passage : dans mon mail d'abonnement, le lien que je clique m'amène sur 404, Lumière.

          • Marie-Aude dit :

            Moi je suis passée en 4.2.3 ET j'ai signalé au concepteur. Bizarre, j'avais corrigé le coup du 404...

          • Flobogo dit :

            Je crois que je vais suivre ton conseil, Li-​An : d'abord râler, et attendre pour passer en 4.3.
            J'ai moi aussi rencontré le problème du lien en 404 :(

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *